from django.urls import path
from . import views

app_name = 'property_manager_app'

urlpatterns = [
    path('', views.home_property_manager, name='home_property_manager'),
    path(
        'about-ensolanka/',
        views.about_us_property_manager,
        name='about_us_property_manager'
    ),
    path(
        'contact/',
        views.contact_property_manager,
        name='contact_property_manager'
    ),

    path(
        'success/',
        views.property_manager_success_page,
        name='property_manager_success_page'
    ),

    path(
        'terms-and-conditions/',
        views.property_care_terms,
        name='property_care_terms'
    ),

    path(
        'faq/',
        views.property_care_faq,
        name='property_care_faq'
    ),

    path(
        'privacy-policy/',
        views.property_care_privacy_policy,
        name='property_care_privacy_policy'
    ),

    path(
        'refund-payment-policy/',
        views.property_care_refund_payment_policy,
        name='property_care_refund_payment_policy'
    ),

    path(
        'disclaimer/',
        views.property_care_disclaimer,
        name='property_care_disclaimer'
    ),

    path(
        'cookie-policy/',
        views.property_care_cookie_policy,
        name='property_care_cookie_policy'
    ),

    path(
        'profile/',
        views.property_manager_profile_page,
        name='property_manager_profile_page'
    ),

    path(
        'profile/edit/',
        views.edit_property_manager_profile,
        name='edit_property_manager_profile'
    ),

    path(
        'profile/upload-image/',
        views.upload_property_manager_profile_image,
        name='upload_property_manager_profile_image'
    ),

    path(
        'profile/change-username/',
        views.change_property_manager_username,
        name='change_property_manager_username'
    ),

    path(
        'profile/change-password/',
        views.change_property_manager_password,
        name='change_property_manager_password'
    ),

    path(
        'property-owner-signup/',
        views.property_manager_signup,
        name='property_manager_signup'
    ),

    path(
        'dashboard/',
        views.property_manager_dashboard,
        name='property_manager_dashboard'
    ),
    path(
        'property-owner-login/',
        views.PropertyManagerLoginView.as_view(),
        name='property_manager_login'
    ),
    path(
        'password-reset/',
        views.PropertyManagerPasswordResetView.as_view(),
        name='property_manager_password_reset'
    ),

    path(
        'password-reset/done/',
        views.PropertyManagerPasswordResetDoneView.as_view(),
        name='property_manager_password_reset_done'
    ),

    path(
        'reset/<uidb64>/<token>/',
        views.PropertyManagerPasswordResetConfirmView.as_view(),
        name='property_manager_password_reset_confirm'
    ),

    path(
        'reset/complete/',
        views.PropertyManagerPasswordResetCompleteView.as_view(),
        name='property_manager_password_reset_complete'
    ),

    path(
        'properties/add/',
        views.managed_property_create,
        name='managed_property_create'
    ),
    path(
        'properties/',
        views.managed_property_list,
        name='managed_property_list'
    ),

    path(
        'properties/<int:pk>/',
        views.managed_property_detail,
        name='managed_property_detail'
    ),

    path(
        'properties/<int:pk>/edit/',
        views.managed_property_update,
        name='managed_property_update'
    ),

    path(
        'properties/<int:pk>/images/add/',
        views.managed_property_image_upload,
        name='managed_property_image_upload'
    ),

    path(
        'properties/<int:pk>/images/<int:image_id>/delete/',
        views.managed_property_image_delete,
        name='managed_property_image_delete'
    ),

    path(
        'properties/<int:pk>/submit-review/',
        views.managed_property_submit_for_review,
        name='managed_property_submit_for_review'
    ),

    path(
        'properties/<int:pk>/services/select/',
        views.managed_property_service_selection,
        name='managed_property_service_selection'
    ),
    path(
        'properties/<int:pk>/estimate/',
        views.managed_property_estimate,
        name='managed_property_estimate'
    ),

    path(
        'payments/',
        views.property_care_payment_center,
        name='property_care_payment_center'
    ),
#===================================================
    path(
        'payments/checkout/',
        views.property_care_payment_checkout,
        name='property_care_payment_checkout'
    ),

    path(
        'payments/checkout/pay/',
        views.property_care_payment_checkout_pay,
        name='property_care_payment_checkout_pay'
    ),

#stripe
    path(
        'payments/stripe/start/',
        views.start_property_care_stripe_checkout,
        name='start_property_care_stripe_checkout'
    ),

    path(
        'payments/stripe/success/<int:transaction_id>/',
        views.property_care_stripe_payment_success,
        name='property_care_stripe_payment_success'
    ),

    path(
        'payments/success/<int:transaction_id>/',
        views.property_care_payment_success,
        name='property_care_payment_success'
    ),

    path(
        'payments/cancelled/<int:transaction_id>/',
        views.property_care_payment_cancelled,
        name='property_care_payment_cancelled'
    ),

    path(
        'payments/failed/<int:transaction_id>/',
        views.property_care_payment_failed,
        name='property_care_payment_failed'
    ),
#Paypal
    path(
        'payments/paypal/start/',
        views.start_property_care_paypal_checkout,
        name='start_property_care_paypal_checkout'
    ),

    path(
        'payments/paypal/success/<int:transaction_id>/',
        views.property_care_paypal_payment_success,
        name='property_care_paypal_payment_success'
    ),
#=========================================
    path(
        'properties/<int:pk>/documents/add/',
        views.managed_property_document_upload,
        name='managed_property_document_upload'
    ),

    path(
        'properties/<int:pk>/documents/<int:document_id>/delete/',
        views.managed_property_document_delete,
        name='managed_property_document_delete'
    ),

    path(
        'account/activate-rental-owner/',
        views.activate_rental_owner_from_property_manager,
        name='activate_rental_owner_from_property_manager'
    ),
    path(
        'account/activate-affiliate/',
        views.activate_affiliate_from_property_manager,
        name='activate_affiliate_from_property_manager'
    ),

    path(
        'services/',
        views.property_care_services_page,
        name='property_care_services_page'
    ),

    path(
        'calculator/',
        views.property_care_calculator_page,
        name='property_care_calculator_page'
    ),

    path(
        'estimates/',
        views.property_care_estimate_center,
        name='property_care_estimate_center'
    ),

    path(
        'reports/',
        views.property_care_report_center,
        name='property_care_report_center'
    ),

#wallet top up
    path(
        'wallet/top-up/',
        views.property_care_wallet_topup,
        name='property_care_wallet_topup'
    ),

    path(
        'wallet/topup/start-stripe/',
        views.start_property_care_wallet_topup_stripe_checkout,
        name='start_property_care_wallet_topup_stripe_checkout'
    ),

    path(
        'wallet/topup/start-paypal/',
        views.start_property_care_wallet_topup_paypal_checkout,
        name='start_property_care_wallet_topup_paypal_checkout'
    ),

    path(
        'wallet-topup/stripe-success/<int:transaction_id>/',
        views.property_care_wallet_topup_stripe_success,
        name='property_care_wallet_topup_stripe_success'
    ),

    path(
        'wallet-topup/paypal-success/<int:transaction_id>/',
        views.property_care_wallet_topup_paypal_success,
        name='property_care_wallet_topup_paypal_success'
    ),

    path(
        'wallet-topup/cancelled/<int:transaction_id>/',
        views.property_care_wallet_topup_cancelled,
        name='property_care_wallet_topup_cancelled'
    ),

    path(
        'wallet-topup/failed/<int:transaction_id>/',
        views.property_care_wallet_topup_failed,
        name='property_care_wallet_topup_failed'
    ),

    path(
        'information-center/',
        views.property_care_information_center,
        name='property_care_information_center'
    ),

]